<?php
$conf['dblayer'] = 'mysqli';
$conf['db_base'] = '%%mariadb_client_database';
$conf['db_user'] = '%%mariadb_client_username';
$conf['db_password'] = '%%mariadb_client_password';
$conf['db_host'] = '%%mariadb_client_server_domainname';

if(!isset($_SERVER) && isset($_ENV) && isset($_ENV['REQUEST_URI']))
{        
  $_SERVER = Array('REQUEST_URI' => $_ENV['REQUEST_URI']);
}       

%for %%idx, %%user in %%enumerate(%%piwigo_users)
%if %%idx != 0
}
else %slurp
%end if
if(str_starts_with($_SERVER['REQUEST_URI'], '/%%user/')) {
  $prefixeTable = 'piwigo_%%{user}_';
%end for
}
else
{
  die('unknown album');
}


define('PHPWG_INSTALLED', true);
define('PWG_CHARSET', 'utf-8');
define('DB_CHARSET', 'utf8');
define('DB_COLLATE', '');
?>
